Subject: Re: [Deb-dev] [FEniCS-dev] Debian packages

From: "Johan Hoffman" <[email-masked]>
Date: Mon, 6 Aug 2007 16:13:49 +0200 (MEST)

> We have made some progress on packaging FEniCS for Debian/Ubuntu...
> Thomas Lunde has done an excellent job setting up the initial version of
> the build scripts.
...

Sounds great!

> 5. Packages for Puffin and Ko are missing. Puffin depends on MATLAB and
> I'm not sure it's worth the effort porting it to Octave. Is there any
> interest in keeping this project? What about Ko? There hasn't been a
> release in quite some time. Johan?

I do not think Puffin is needed in a Debian package, but I think it is an
important project for educational purposes, say in an itroductory course
in FEM. In particular since in FIAT/FFC/Dolfin a lot of the basic FEM
stuff is not very transparant.

It may not be obvious that Puffin neccessarily must be a FEniCS project.
But then again, why not?

/Johan H